Bug 817407 - [Web UI] Password policies are not sorted properly
Summary: [Web UI] Password policies are not sorted properly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.3
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Namita Soman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-29 20:15 UTC by Dmitri Pal
Modified: 2013-02-21 09:12 UTC (History)
4 users (show)

Fixed In Version: ipa-3.0.0-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-21 09:12:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0528 0 normal SHIPPED_LIVE Low: ipa security, bug fix and enhancement update 2013-02-21 08:22:21 UTC

Description Dmitri Pal 2012-04-29 20:15:53 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/freeipa/ticket/2677

This issue was found during development for #2676.

When paging for Password policy is enabled (and UI thus at first asks server for all password policy records with `--pkey-only` option and then runs batch query to retrieve password policy data on the page), their order is not consistent with the one provided by server. Password policies should be ordered by COS Priority, not name.

Comment 1 RHEL Program Management 2012-07-10 06:22:13 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 2 RHEL Program Management 2012-07-10 23:27:29 UTC
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Comment 3 Petr Vobornik 2012-08-29 10:24:42 UTC
Fixed upstream
 * master: edbcd28f44fb5c123440c246965166d5947554e6
 * ipa-3-0: 55efbdd2c381ffc7446d3083b987b9026658b96c

Comment 7 Xiyang Dong 2013-01-21 15:10:10 UTC
verified in ipa-server-3.0.0-22.el6.x86_64

https://wiki.idm.lab.bos.redhat.com/qa/archive/ipa/webui/automation/firefox/test-output-ipa-server-3.0.0-QA/0114_64bit/full%20suite/IPAPasswordPolicyTestSuite/index.html

testPriorityNotOrdered_Bug817407
Bug 817407 -Passwd Policy Should Be Ordered By COS Priority Not Name
Parameters: bug817407
Hide output Show all outputs
Starting Test: testPriorityNotOrdered_Bug817407([bug817407])

Starting Test: testPriorityNotOrdered_Bug817407([bug817407])

Starting Test: testPriorityNotOrdered_Bug817407([bug817407])

Starting Test: testPriorityNotOrdered_Bug817407([bug817407])

Starting Test: testPriorityNotOrdered_Bug817407([bug817407])

Starting Test: testPriorityNotOrdered_Bug817407([bug817407])

Starting Test: testPriorityNotOrdered_Bug817407([bug817407])

Starting Test: testPriorityNotOrdered_Bug817407([bug817407])

Starting Test: testPriorityNotOrdered_Bug817407([bug817407])

Starting Test: testPriorityNotOrdered_Bug817407([bug817407])

Starting Test: testPriorityNotOrdered_Bug817407([bug817407])

Starting Test: testPriorityNotOrdered_Bug817407([bug817407])

Starting Test: testPriorityNotOrdered_Bug817407([bug817407])

Asserted: policy [highest] does not exist before add

Asserted: new policy [highest] has been added

Asserted: policy [second] does not exist before add

Asserted: new policy [second] has been added

Asserted: policy [third] does not exist before add

Asserted: new policy [third] has been added

Asserted: policy [fourth] does not exist before add

Asserted: new policy [fourth] has been added

Asserted: Passwd Policies Are Ordered By COS Priority

Asserted: Passwd Policies Are Ordered By COS Priority

Asserted: Passwd Policies Are Ordered By COS Priority

Asserted: policy [highest] does not exist after test

Asserted: policy [second] does not exist after test

Asserted: policy [third] does not exist after test

Asserted: policy [fourth] does not exist after test

delete user group [highest]

delete user group [second]

delete user group [third]

delete user group [fourth]

Test Passed: testPriorityNotOrdered_Bug817407([bug817407])

Test Passed: testPriorityNotOrdered_Bug817407([bug817407])

Test Passed: testPriorityNotOrdered_Bug817407([bug817407])

Test Passed: testPriorityNotOrdered_Bug817407([bug817407])

Test Passed: testPriorityNotOrdered_Bug817407([bug817407])

Test Passed: testPriorityNotOrdered_Bug817407([bug817407])

Test Passed: testPriorityNotOrdered_Bug817407([bug817407])

Test Passed: testPriorityNotOrdered_Bug817407([bug817407])

Test Passed: testPriorityNotOrdered_Bug817407([bug817407])

Test Passed: testPriorityNotOrdered_Bug817407([bug817407])

Test Passed: testPriorityNotOrdered_Bug817407([bug817407])

Test Passed: testPriorityNotOrdered_Bug817407([bug817407])

Test Passed: testPriorityNotOrdered_Bug817407([bug817407])

Comment 9 errata-xmlrpc 2013-02-21 09:12:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0528.html


Note You need to log in before you can comment on or make changes to this bug.